Create a simple outgoing request (using addresses)

This endpoint creates an outgoing transfer request from an address to another address.
Required role: RequestCreator.
This API can be made idempotent by generating an ID for the Request beforehand and passing it as the externalRequestId attribute

Body Params
string

Amount in the smallest currency unit, based on the currency decimals. Example: 1500000000000000000 WEI (smallest ETH unit) corresponds to 1.5 ETH (ETH has 18 decimals places)

string
string
required

Source address.

string
required

Single destination address. To perform a batch transfer to multiple addresses, you can pass in multiple request objects in the body parameters. Each request object can specify its own toAddress.

string

Maximum amount of fees to be paid for the transaction. For ETH it is the maximum amount of fees to be paid per unit of gas.

string

Maximum gas committed to the transaction. For non-ETH chains, use feeLimit.

string

A reconciliation note can be given when initiating a request and this will be included in transaction history.

boolean

Allow use of unconfirmed funds for this transaction

boolean

If true, maximum amount of funds will be transferred, including fees. When false, fees are added on top of amount.

string

Max 256 characters external reference for the transaction.

boolean

If set to true, it will send all the funds from an address or from all the addresses of a wallet. If an address in a wallet can't pay the fees, it is skipped.

string
extendedAmount
object
string

Deprecated: use externalRequestId instead

string

Identifier for the request in the user's system. This must be unique. Attempting to create a request with an existing externalRequestId will do nothing and return the originally created request

string

A memo can be specified if the destination is a whitelisted address on a blockchain supporting memos.

opts
object
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json


  © 2026 Taurus SA. All rights reserved.